Skip to main content
GET
GET /v1/tables/{id}/pipelineObservability

Pipeline Observability

Manage pipeline observability data for a table. This tracks which pipelines produce or consume the table and their execution status.

Get Pipeline Observability

GET /v1/tables/{id}/pipelineObservability
id
string
required
UUID of the table.

Add Pipeline Observability

PUT /v1/tables/{id}/pipelineObservability
id
string
required
UUID of the table.
pipelineName
string
required
Name of the pipeline.
pipelineFQN
string
required
Fully qualified name of the pipeline.
lastRunStatus
string
Status of the last pipeline run: Successful, Failed, Pending, Aborted.
lastRunTimestamp
integer
Unix timestamp (milliseconds) of the last pipeline run.
nextRunTimestamp
integer
Unix timestamp (milliseconds) of the next scheduled run.
GET /v1/tables/{id}/pipelineObservability

Returns

Get returns pipeline observability data associated with the table. Add returns the updated pipeline observability data.

Response

pipelineName
string
Name of the pipeline.
pipelineFQN
string
Fully qualified name of the pipeline.
lastRunStatus
string
Status of the last run.
lastRunTimestamp
integer
Unix timestamp of the last run in milliseconds.
nextRunTimestamp
integer
Unix timestamp of the next scheduled run in milliseconds.

Error Handling